JDBC4PreparedStatementHelper
Date: 2018-05-06

com.mysql.jdbc

## Class JDBC4PreparedStatementHelper

- java.lang.Object
- - com.mysql.jdbc.JDBC4PreparedStatementHelper

-     public class JDBC4PreparedStatementHelper
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `setNClob(PreparedStatement pstmt, int parameterIndex, java.sql.NClob value)` JDBC 4.0 Set a NCLOB parameter.
    `(package private) static void` | `setNClob(PreparedStatement pstmt, int parameterIndex, java.io.Reader reader)`
    `(package private) static void` | `setNClob(PreparedStatement pstmt, int parameterIndex, java.io.Reader reader, long length)` JDBC 4.0 Set a NCLOB parameter.
    `(package private) static void` | `setRowId(PreparedStatement pstmt, int parameterIndex, java.sql.RowId x)`
    `(package private) static void` | `setSQLXML(PreparedStatement pstmt, int parameterIndex, java.sql.SQLXML xmlObject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setRowId

          static void setRowId(PreparedStatement pstmt,
                      int parameterIndex,
                      java.sql.RowId x)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setNClob

          static void setNClob(PreparedStatement pstmt,
                      int parameterIndex,
                      java.sql.NClob value)
                        throws java.sql.SQLException

      JDBC 4.0 Set a NCLOB parameter.
      Parameters:
        `i` - the first parameter is 1, the second is 2, ...
        `x` - an object representing a NCLOB
      Throws:
        `java.sql.SQLException` - if a database error occurs

    - #### setNClob

          static void setNClob(PreparedStatement pstmt,
                      int parameterIndex,
                      java.io.Reader reader)
                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### setNClob

          static void setNClob(PreparedStatement pstmt,
                      int parameterIndex,
                      java.io.Reader reader,
                      long length)
                        throws java.sql.SQLException

      JDBC 4.0 Set a NCLOB parameter.
      Parameters:
        `parameterIndex` - the first parameter is 1, the second is 2, ...
        `reader` - the java reader which contains the UNICODE data
        `length` - the number of characters in the stream
      Throws:
        `java.sql.SQLException` - if a database error occurs

    - #### setSQLXML

          static void setSQLXML(PreparedStatement pstmt,
                       int parameterIndex,
                       java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`